Loading...
Searching...
No Matches
Catch::ITransientExpression Class Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::ITransientExpression:
[legend]

## Public Member Functions

constexpr auto | isBinaryExpression () const -> bool
constexpr auto | getResult () const -> bool
virtual void | streamReconstructedExpression (std::ostream &os) const
| This function has to be overriden by the derived class.
constexpr | ITransientExpression (bool isBinaryExpression, bool result)
constexpr | ITransientExpression (ITransientExpression const &)=default
constexpr ITransientExpression & | operator= (ITransientExpression const &)=default

## Protected Member Functions

| ~ITransientExpression ()=default

## Private Attributes

bool | m_isBinaryExpression
bool | m_result

## Friends

std::ostream & | operator<< (std::ostream &out, ITransientExpression const &expr)

## Constructor & Destructor Documentation

## ~ITransientExpression()

Catch::ITransientExpression::~ITransientExpression | ( |  | ) |

protecteddefault

## ITransientExpression() [1/2]

Catch::ITransientExpression::ITransientExpression | ( | bool | isBinaryExpression,
|  | bool | result )

inlineconstexpr

Here is the call graph for this function:
Here is the caller graph for this function:

## ITransientExpression() [2/2]

Catch::ITransientExpression::ITransientExpression | ( | ITransientExpression const & |  | ) |

constexprdefault

Here is the call graph for this function:

## Member Function Documentation

## getResult()

auto Catch::ITransientExpression::getResult | ( |  | ) | const -> bool

inlineconstexpr

## isBinaryExpression()

auto Catch::ITransientExpression::isBinaryExpression | ( |  | ) | const -> bool

inlineconstexpr

Here is the caller graph for this function:

## operator=()

ITransientExpression & Catch::ITransientExpression::operator= | ( | ITransientExpression const & |  | ) |

constexprdefault

Here is the call graph for this function:

## streamReconstructedExpression()

void Catch::ITransientExpression::streamReconstructedExpression | ( | std::ostream & | os | ) | const

virtual

This function has to be overriden by the derived class.

Reimplemented in Catch::BinaryExpr< LhsT, RhsT >, and Catch::UnaryExpr< LhsT >.

Here is the caller graph for this function:

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | out,
|  | ITransientExpression const & | expr )

friend

## Member Data Documentation

## m_isBinaryExpression

bool Catch::ITransientExpression::m_isBinaryExpression

private

## m_result

bool Catch::ITransientExpression::m_result

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp